#
# spec file for package nss_ldap (Version 215)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  cyrus-sasl cyrus-sasl-devel db-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cyrus-sasl-devel db-devel gcc gdbm gettext heimdal-lib libtool openldap2 openldap2-devel openssl-devel perl rpm

Name:         nss_ldap
License:      LGPL
Group:        Productivity/Networking/LDAP/Clients
Autoreqprov:  on
Version:      215
Release:      59.10
Summary:      NSS LDAP Module
URL:          http://www.padl.com/OSS/nss_ldap.html
Source:       nss_ldap-%{version}.tar.bz2
Source1:      README.SuSE
Patch:        nss_ldap-%{version}.sigset.diff
Patch1:       nss_ldap-%{version}.group-utf8.diff
Patch2:       nss_ldap-%{version}.sockaddr.diff
Patch3:       nss_ldap-%{version}.paged.patch
Patch4:       nss_ldap-%{version}.ldapgrp.diff
Patch5:       nss_ldap.bytesleft.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Nss_ldap is a glibc NSS module which allows X.500 and LDAP directory
servers to be used as a primary source of aliases, ethers, groups,
hosts, networks, protocol, users, RPCs, services, and shadow passwords
(instead of or in addition to using flat files or NIS).



Authors:
--------
    Luke Howard <lukeh@padl.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
cp -v %{S:1} .

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
CPPFLAGS="-I/usr/include/sasl -DINET6" \
./configure --prefix=/usr \
	    --enable-rfc2307bis \
	    --enable-schema-mapping \
	    --enable-xad \
	    --enable-paged-results \
	    --libdir=%{_libdir} \
	    --sysconfdir=/etc \
	    --x-libraries=/usr/X11R6/%{_lib}
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 nss_ldap.so $RPM_BUILD_ROOT/%{_lib}/libnss_ldap.so.2
ln -s ../../%{_lib}/libnss_ldap.so.2 $RPM_BUILD_ROOT%{_libdir}/libnss_ldap.so

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS COPYING ChangeLog NEWS README README.SuSE nsswitch.ldap ldap.conf doc/README.paged doc/rfc2307.txt
/%{_lib}/libnss_ldap.so.2
%{_libdir}/libnss_ldap.so

%changelog -n nss_ldap
* Tue Nov 29 2005 - rhafer@suse.de
- nss_ldap.bytesleft.dif: Fixes bytesleft macro to only return
  non-negative values, this fixes a crash when handling groups with
  large amounts of members (Bugzilla: #117217)
* Wed Nov 10 2004 - rhafer@suse.de
- nss_ldap-215.ldapgrp.diff: Fixes handling of users which are
  member of more that 64 groups (Bugzilla: #48027)
* Wed May 26 2004 - sbrabec@suse.cz
- Added patch for endless loop in paged results code from Ralf Haferkamp
  (#41228).
* Thu Feb 19 2004 - kukuk@suse.de
- Increase the buffer for struct sockaddr to hold all data.
* Wed Feb 18 2004 - kukuk@suse.de
- Add patch to fix seg.fault from Ralf Haferkamp
* Sat Feb 14 2004 - kukuk@suse.de
- Update to nss_ldap 215
- Fix handling of UTF-8 group names [Bug #34549]
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig and %%defattr
* Tue Sep 02 2003 - sbrabec@suse.cz
- Turned on schema mapping, XAD support and paged results.
- Packaged more docs.
* Mon Jul 14 2003 - sbrabec@suse.cz
- Changed path to ldap.conf to /etc (bug #27528).
* Mon Jun 09 2003 - sbrabec@suse.cz
- Updated to version 207.
* Sat Feb 15 2003 - kukuk@suse.de
- Update to 203.7. Includes netgroup support.
* Fri Feb 14 2003 - kukuk@suse.de
- Fix seg.fault on x86-64 in gethost* functions
- Implement IPv6 support for gethost* functions
* Thu Feb 13 2003 - kukuk@suse.de
- Enable IPv6 support (else we will leak file descriptors with IPv6
  addresses).
* Tue Nov 05 2002 - sbrabec@suse.cz
- Update to version 203.
* Tue Oct 29 2002 - sbrabec@suse.cz
- Update to version 202.
- Don't own /etc/openldap, required openldap2-client creates it.
* Thu Aug 29 2002 - tcrhak@suse.cz
- fixed sigprocmask bug (bug #18236)
* Mon Aug 26 2002 - rhafer@suse.de
- LDAP_FILT_MAXSIZ isn't defined in libldap anymore
* Tue Aug 13 2002 - kukuk@suse.de
- Update to version 199 (glibc alias enumeration functions, DNS
  response parser)
* Sat Jul 27 2002 - kukuk@suse.de
- Update to version 198 (fixes a potential buffer overflow in the
  DNS SRV code)
* Tue Jul 16 2002 - kukuk@suse.de
- Update to version 197 (lot of "buffer to small" bug fixes)
* Sat Apr 27 2002 - kukuk@suse.de
- Update to 187 (minor bug fixes)
* Mon Feb 04 2002 - tcrhak@suse.cz
- update to 183
- used %%{_lib} and %%{_lidir} macros
* Fri Nov 23 2001 - tcrhak@suse.cz
- update to version 174
* Tue Aug 07 2001 - cihlar@suse.cz
- update to version 167
* Sat May 12 2001 - schwab@suse.de
- Fix missing declarations.
- Add %%suse_update_config.
* Thu Apr 19 2001 - kukuk@suse.de
- Do not enable ids-uid, it is broken
* Wed Apr 18 2001 - pblaha@suse.cz
- back to /etc/openldap/ldap.conf
- update on version 150
- add URL
* Wed Mar 21 2001 - ro@suse.de
- fixed neededforbuild again
* Fri Mar 16 2001 - pblaha@suse.cz
- update on version 149
- add build root
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Wed Jan 31 2001 - choeger@suse.de
- link against ldaplib2
* Mon Dec 11 2000 - kukuk@suse.de
- Update to 123
* Sat Nov 04 2000 - kukuk@suse.de
- Use ldaplib
* Thu Jun 01 2000 - kukuk@suse.de
- Update to 110
* Mon Apr 10 2000 - kukuk@suse.de
- Fix typo in path to config file
* Tue Feb 15 2000 - kukuk@suse.de
- Update to version 105
* Tue Oct 12 1999 - kukuk@suse.de
- Update to 87
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - kukuk@suse.de
- Update to 85
* Mon Jul 12 1999 - kukuk@suse.de
- Update to 81
- Add ldap.conf and README.SuSE to documentation
* Fri Jun 25 1999 - kukuk@suse.de
- Update to 2.77
* Wed Jun 09 1999 - kukuk@suse.de
- Update to 2.69
* Fri May 07 1999 - kukuk@suse.de
- Initial version of nss_ldap 2.64
